# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.307   -> 1.308  
#	drivers/usb/usbnet.c	1.13    -> 1.14   
#	drivers/usb/usb-uhci.c	1.21    -> 1.22   
#	  drivers/usb/catc.c	1.4     -> 1.5    
#	drivers/usb/hcd/ehci-hcd.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/02	suse.cz@mastika.lnxw.com	1.308
# USB 
# 
# fixes for 64bit processors
# --------------------------------------------
#
diff -Nru a/drivers/usb/catc.c b/drivers/usb/catc.c
--- a/drivers/usb/catc.c	Wed Apr  3 10:48:06 2002
+++ b/drivers/usb/catc.c	Wed Apr  3 10:48:06 2002
@@ -409,7 +409,7 @@
 {
 	struct catc *catc = urb->context;
 	struct ctrl_queue *q;
-	long flags;
+	unsigned long flags;
 
 	if (urb->status)
 		dbg("ctrl_done, status %d, len %d.", urb->status, urb->actual_length);
@@ -443,7 +443,7 @@
 {
 	struct ctrl_queue *q;
 	int retval = 0;
-	long flags;
+	unsigned long flags;
 
 	spin_lock_irqsave(&catc->ctrl_lock, flags);
 	
diff -Nru a/drivers/usb/hcd/ehci-hcd.c b/drivers/usb/hcd/ehci-hcd.c
--- a/drivers/usb/hcd/ehci-hcd.c	Wed Apr  3 10:48:06 2002
+++ b/drivers/usb/hcd/ehci-hcd.c	Wed Apr  3 10:48:06 2002
@@ -747,8 +747,8 @@
 {
 	dbg (DRIVER_INFO);
 	dbg ("block sizes: qh %d qtd %d itd %d sitd %d",
-		sizeof (struct ehci_qh), sizeof (struct ehci_qtd),
-		sizeof (struct ehci_itd), sizeof (struct ehci_sitd));
+		(int) sizeof (struct ehci_qh), (int) sizeof (struct ehci_qtd),
+		(int) sizeof (struct ehci_itd), (int) sizeof (struct ehci_sitd));
 
 	return pci_module_init (&ehci_pci_driver);
 }
diff -Nru a/drivers/usb/usb-uhci.c b/drivers/usb/usb-uhci.c
--- a/drivers/usb/usb-uhci.c	Wed Apr  3 10:48:06 2002
+++ b/drivers/usb/usb-uhci.c	Wed Apr  3 10:48:06 2002
@@ -170,7 +170,7 @@
 #ifdef CONFIG_USB_UHCI_HIGH_BANDWIDTH
 _static void enable_desc_loop(uhci_t *s, urb_t *urb)
 {
-	int flags;
+	unsigned long flags;
 
 	if (urb->transfer_flags & USB_NO_FSBR)
 		return;
@@ -185,7 +185,7 @@
 /*-------------------------------------------------------------------*/
 _static void disable_desc_loop(uhci_t *s, urb_t *urb)
 {
-	int flags;
+	unsigned long flags;
 
 	if (urb->transfer_flags & USB_NO_FSBR)
 		return;
diff -Nru a/drivers/usb/usbnet.c b/drivers/usb/usbnet.c
--- a/drivers/usb/usbnet.c	Wed Apr  3 10:48:06 2002
+++ b/drivers/usb/usbnet.c	Wed Apr  3 10:48:06 2002
@@ -989,9 +989,8 @@
 			|| skb->len > FRAMED_SIZE (dev->net.mtu)) {
 		dev->stats.rx_frame_errors++;
 		dbg ("rx framesize %d range %d..%d mtu %d", skb->len,
-			MIN_FRAMED, FRAMED_SIZE (dev->net.mtu),
-			dev->net.mtu
-			);
+			(int)MIN_FRAMED, (int)FRAMED_SIZE (dev->net.mtu),
+			dev->net.mtu);
 		return 0;
 	}
 
